- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# _UbixUser Struct Reference

## Data Fields
int | gid
char * | home
char * | password
char * | shell
int | uid
char * | username

## Detailed Description

Definition at line 90 of file syscall.c.

## Field Documentation

int _UbixUser::gid

Definition at line 95 of file syscall.c.

Referenced by sysAuth().

char* _UbixUser::home

Definition at line 96 of file syscall.c.

char* _UbixUser::password

Definition at line 93 of file syscall.c.

Referenced by sysAuth().

char* _UbixUser::shell

Definition at line 97 of file syscall.c.

int _UbixUser::uid

Definition at line 94 of file syscall.c.

Referenced by sysAuth().

char* _UbixUser::username

Definition at line 92 of file syscall.c.

Referenced by sysAuth().

The documentation for this struct was generated from the following file:

- src/sys/kernel/syscall.c